Add a new line item to a receipt
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/receipts/{receipt_id}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"name": "<string>",
"total": 123
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/receipts/{receipt_id}/line-items"
payload = {
"name": "<string>",
"total": 123
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', total: 123})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/receipts/{receipt_id}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"receipt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"total": 123
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Receipts
Add a new line item to a receipt
POST
/
finops
/
v1
/
receipts
/
{receipt_id}
/
line-items
Add a new line item to a receipt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I